Subject: bug#23265: closed (Re: bug#23265: 24.5; Docstring of dabbrev-select-buffers-function)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Jul 2019 20:25:02 +0000

Your bug report

#23265: 24.5; Docstring of dabbrev-select-buffers-function

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23265: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23265
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23265: 24.5; Docstring of dabbrev-select-buffers-function
From: Rolf Ade <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jul 2019 22:23:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Rolf Ade <[email-masked]> writes:
> I see the following with GNU Emacs 24.5.1 as well as with GNU Emacs
> 25.0.92.
>
> Start emacs -Q
>
> C-h v dabbrev-select-buffers-function RET
>
> In the help buffer click at dabbrev--select-buffers (or move to point to
> it and RET): Instead of the documentation of dabbrev--select-buffers I
> get a wild error msg in the echo area:
>
> apply: Wrong number of arguments: #[(fun file) "ÃÄ!Å=.ÆÇ	!Á\".È	É#.Ê
> @!
> A'.
> Ab*.ËÌ!)" [file fun location require find-func C-source help-C-file-name indirect-function find-function-search-for-symbol nil ...] 4], 1
>
>
> (The real error msg contains NUL characters. I send them replaced with
> . (dot). The real error msg is easy enough to re-produce.

This error, I saw (and Eli confirmed) in 24.5.1 and 25.0.92  isn't
reproducable anymore in 26.2 and master (of today).

Subject: 24.5; Docstring of dabbrev-select-buffers-function
From: Rolf Ade <[email-masked]>
To: [email-masked]
Date: Sun, 10 Apr 2016 21:10:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I see the following with GNU Emacs 24.5.1 as well as with GNU Emacs
25.0.92.

Start emacs -Q

C-h v dabbrev-select-buffers-function RET

In the help buffer click at dabbrev--select-buffers (or move to point to
it and RET): Instead of the documentation of dabbrev--select-buffers I
get a wild error msg in the echo area:

apply: Wrong number of arguments: #[(fun file) "ÃÄ!Å=.ÆÇ	!Á\".È	É#.Ê
@!
A'.
Ab*.ËÌ!)" [file fun location require find-func C-source help-C-file-name indirect-function find-function-search-for-symbol nil ...] 4], 1

(The real error msg contains NUL characters. I send them replaced with
. (dot). The real error msg is easy enough to re-produce.